Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.css2
Class FontSizeManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.LengthManager
                  org.apache.batik.css.engine.value.css2.FontSizeManager

All Implemented Interfaces:
  ValueManager

public class FontSizeManager
extends LengthManager

This class provides a manager for the 'font-size' property values.

Field Summary
`protected static StringMap` | `values` The identifier values.

Fields inherited from class org.apache.batik.css.engine.value.LengthManager
`BOTH_ORIENTATION, HORIZONTAL_ORIENTATION, VERTICAL_ORIENTATION`

Constructor Summary
`FontSizeManager()`

Method Summary
`Value` | `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` | `createStringValue(short type, java.lang.String value, CSSEngine engine)` Implements `ValueManager#createStringValue(short,String,CSSEngine)`.
`Value` | `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`Value` | `getDefaultValue()` Implements `ValueManager#getDefaultValue()`.
`protected int` | `getOrientation()` Indicates the orientation of the property associated with this manager.
`java.lang.String` | `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.LengthManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### FontSizeManager

    public FontSizeManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager#getDefaultValue()`.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `LengthManager`
  Throws:
    `org.w3c.dom.DOMException`

### createStringValue

    public Value createStringValue(short type,
                                   java.lang.String value,
                                   CSSEngine engine)
                            throws org.w3c.dom.DOMException

  Implements `ValueManager#createStringValue(short,String,CSSEngine)`.

  Specified by:
    `createStringValue` in interface `ValueManager`
  Overrides:
    `createStringValue` in class `AbstractValueManager`
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager#computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `LengthManager`

### getOrientation

    protected int getOrientation()

  Indicates the orientation of the property associated with this manager.

  Specified by:
    `getOrientation` in class `LengthManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.